export default {
	name: 'web',
	githubCount: '2432',
	gettingStart:
		'https://opensource.appbase.io/reactive-manual/getting-started/reactivesearch.html',
	producthunt: 'https://www.producthunt.com/posts/reactive-search-2-0',
	urls: {
		github: 'https://github.com/appbaseio/reactivesearch/tree/dev/packages/web',
		support: 'https://appbase.io/pricing#support',
	},
	header: {
		logo: {
			src: '../../reactivesearch/images/RSlogo.svg',
			title: {
				light: 'Reactive',
				dark: 'Search',
			},
			href: '/reactivesearch',
		},
		links: [
			{
				description: 'tools',
				href: '/tools',
			},
			{
				description: 'quick start',
				href: '/quickstart',
			},
		],
	},
	footer: [
		{
			title: 'Reactive <x>',
			list: [
				{
					title: 'React',
					href: 'https://opensource.appbase.io/reactivesearch',
					openWithTab: true,
				},
				{
					title: 'React Native',
					href: 'https://opensource.appbase.io/reactivesearch/native',
					openWithTab: true,
				},
				{
					title: 'Vue.JS',
					href: 'https://opensource.appbase.io/reactivesearch/vue',
					openWithTab: true,
				},
				{
					title: 'ReactiveMaps',
					href: 'https://opensource.appbase.io/reactivemaps',
					openWithTab: true,
				},
			],
		},
		{
			title: 'Documentation',
			list: [
				{
					title: 'Search Preview',
					href:
						'https://opensource.appbase.io/reactive-manual/getting-started/reactivesearch.html',
					openWithTab: true,
				},
				{
					title: 'Base Components',
					href:
						'https://opensource.appbase.io/reactive-manual/base-components/textfield.html',
					openWithTab: true,
				},
				{
					title: 'Map Components',
					href:
						'https://opensource.appbase.io/reactive-manual/map-components/geodistanceslider.html',
					openWithTab: true,
				},
				{
					title: 'Search Components',
					href:
						'https://opensource.appbase.io/reactive-manual/search-components/datasearch.html',
					openWithTab: true,
				},
				{
					title: 'Result Components',
					href:
						'https://opensource.appbase.io/reactive-manual/result-components/resultlist.html',
					openWithTab: true,
				},
			],
		},
		{
			title: 'Community',
			list: [
				{
					title: 'GitHub',
					href: 'https://github.com/appbaseio/reactivesearch/',
					openWithTab: true,
				},
				{
					title: 'Gitter',
					href: 'https://gitter.im/appbaseio/reactivesearch',
					openWithTab: true,
				},
				{
					title: 'Stackoverflow',
					href: 'https://stackoverflow.com/questions/tagged/reactivesearch',
					openWithTab: true,
				},
				{
					title: 'Twitter',
					href: 'https://twitter.com/appbaseio',
					openWithTab: true,
				},
			],
		},
		{
			title: 'More',
			list: [
				{
					title: 'Medium Publication',
					href: 'https://medium.appbase.io/',
					openWithTab: true,
				},
				{
					title: 'Appbase.io Docs',
					href: 'http://docs.appbase.io/',
					openWithTab: true,
				},
				{
					title: 'Support Email',
					href: 'mailto:support@appbase.io',
					openWithTab: true,
				},
			],
		},
	],
};
